> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agregar puntos a un cliente

> Usa este método para agregar puntos a la cuenta del cliente.



## OpenAPI

````yaml post /clients/addPoints
openapi: 3.0.0
info:
  title: Client Endpoint API
  version: 1.0.0
servers:
  - url: https://api.getjusto.com/api/v2
    description: Production server
security: []
tags:
  - name: client
    description: Todo lo relacionado a operar con clientes
paths:
  /clients/addPoints:
    post:
      tags:
        - client
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - clientId
                - amount
              properties:
                clientId:
                  type: string
                  description: Identificador del cliente
                amount:
                  type: number
                  description: Cantidad de puntos a agregar
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/addPointsResult'
        '400':
          description: Error en la petición
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Resultado de la operación
                    example: error
                  error:
                    type: string
                    description: Mensaje de error
                    example: Error en la petición
        '401':
          description: Token inválido
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Resultado de la operación
                    example: error
                  error:
                    type: string
                    description: Mensaje de error
                    example: Unauthorized
      security:
        - bearerAuth: []
components:
  schemas:
    addPointsResult:
      type: object
      properties:
        status:
          type: string
          description: Resultado de la operación
          example: ok
        data:
          type: object
          properties:
            amount:
              type: number
              description: Cantidad de puntos agregados
              example: 1000
            websiteId:
              type: string
              description: Identificador del sitio web
              example: ErCkmcyCEovseJq5E
            date:
              type: string
              format: date-time
              description: Fecha de la operación
              example: '2022-03-01T13:18:59.381Z'
            balance:
              type: number
              description: Cantidad de puntos agregados
              example: 5026
            user:
              type: object
              properties:
                clientId:
                  type: string
                  description: Identificador del cliente
                  example: YdhZfJzvD2atjXeED
                email:
                  type: string
                  description: Email del cliente
                  example: jdoe@gmail.com
                fullName:
                  type: string
                  description: Nombre del cliente
                  example: John  Doe
                phone:
                  type: string
                  description: Teléfono del cliente
                  example: '+56912345678'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````